%global pypi_name cairosvg
%global pypi_oname CairoSVG

Name:           python-%{pypi_name}
Version:        2.2.1
%define 	subrel 1
Release:        %mkrel 1
Group:          Development/Python
Summary:        A Simple SVG Converter for Cairo
License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_oname}
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_oname}-%{version}.tar.gz
Patch0:		CairoSVG-2.2.1-fix-setup.patch
#
# Security patches
# P100 -> ...
#
Patch100:	063185b60588a41d4df661ad70f9f7b699901abc.patch

BuildArch:      noarch

%description
A Simple SVG Converter for Cairo.

%package -n %{pypi_name}
Summary:        A Simple SVG Converter for Cairo
Group:          Development/Python

%description -n %{pypi_name}
A Simple SVG Converter for Cairo.

%package -n python3-%{pypi_name}
Summary:        A Simple SVG Converter for Cairo
Group:          Development/Python

Requires:       %{pypi_name}

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(pytest-runner)

%description -n python3-%{pypi_name}
A Simple SVG Converter for Cairo.

%prep
%setup -q -n %{pypi_oname}-%{version}

%autopatch -p1

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%files -n %{pypi_name}
%{_bindir}/cairosvg

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*
%{python3_sitelib}/%{pypi_oname}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Mar 11 2021 neoclust <neoclust> 2.2.1-1.1.mga7
+ Revision: 1701447
- Add P100: CVE-2021-21236 (mga#28122)

* Thu Jan 10 2019 shlomif <shlomif> 2.2.1-1.mga7
+ Revision: 1354634
- Rebuild for python3 3.7 ; remove py2 per upstream

* Thu Sep 20 2018 umeabot <umeabot> 1.0.20-2.mga7
+ Revision: 1288396
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 daviddavid <daviddavid> 1.0.20-1.mga7
+ Revision: 1237165
- new version: 1.0.20
- rename python-cairosvg to python2-cairosvg

* Sat Aug 05 2017 pterjan <pterjan> 1.0.19-2.mga7
+ Revision: 1135334
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 1.0.19-1.mga6
+ Revision: 910987
- new version: 1.0.19

* Fri Oct 09 2015 daviddavid <daviddavid> 1.0.17-1.mga6
+ Revision: 888572
- new version: 1.0.17 + rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 740611
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-5.mga5
+ Revision: 728116
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 687913
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 pterjan <pterjan> 1.0.1-3.mga5
+ Revision: 630316
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.0.1-2.mga5
+ Revision: 628479
- Rebuild for new Python

* Thu Oct 31 2013 neoclust <neoclust> 1.0.1-1.mga4
+ Revision: 548094
- imported package python-cairosvg

